| GTK-EXTRA - Reference Manual

| Home

## Name

### Gtkplotpolar - polar plots widget for gtk+

## Synopsis

    GtkType

    gtk_plot_polar_get_type

    (void);

    GtkWidget*

    gtk_plot_polar_new

    (GdkDrawable *drawable);

    GtkWidget*

    gtk_plot_polar_new_with_size

    (GdkDrawable *drawable,
    gdouble width, gdouble height);

    void

    gtk_plot_polar_construct

    (GtkPlotPolar *plot,
    GdkDrawable *drawable);

    void

    gtk_plot_polar_construct_with_size

    (GtkPlotPolar *plot,
    GdkDrawable *drawable,
    gdouble width,
    gdouble height);

    void

    gtk_plot_polar_rotate

    (GtkPlotPolar *plot,
    gdouble angle);

## Object Hierarchy

##
Args

## Signal Prototypes

    No signals

## Description

####

##
Details

    struct GtkPlotPolar

##
Screenshot

##

### gtk_plot_polar_get_type ()

    GtkType gtk_plot_polar_get_type (void);

Returns |

### gtk_plot_polar_new ()

    GtkWidget* gtk_plot_polar_new (GdkDrawable *drawable);

drawable |
Returns |

### gtk_plot_polar_new_with_size ()

    GtkWidget* gtk_plot_polar_new_with_size (GdkDrawable *drawable,
                                             gdouble width, gdouble height);

drawable |
width,height |
Returns |

### gtk_plot_polar_construct ()

    void gtk_plot_polar_construct (GtkPlotPolar *plot,
                                   GdkDrawable *drawable);

plot |
drawable |

### gtk_plot_polar_construct_with_size ()

    void gtk_plot_polar_construct_with_size (GtkPlotPolar *plot,
                                             GdkDrawable *drawable,
                                             gdouble width,
                                             gdouble height);

plot |
drawable |
width,height |

### gtk_plot_polar_rotate ()

    void gtk_plot_polar_rotate (GtkPlotPolar *plot,
                                gdouble angle);

plot |
angle |

##

## DETAILS

    struct _GtkPlotPolar

    {
      GtkPlot plot;

      GtkPlotAxis *r;
      GtkPlotAxis *angle;
      gdouble rotation;
    };

| Home |  |